[Python-de] Tkinter installieren

Gerhard Häring haering_python at gmx.de
Sun Sep 9 15:14:59 EDT 2001


On Sat, Sep 08, 2001 at 05:34:24PM +0000, Albert Hermeling wrote:
> Hallo,
> 
> vor ein paar Tagen habe ich mich entschlossen die Skriptsprache Python zu 
> erlernen. Da ich mit der aktuellen Version unter Linux (Suse Linux 7.1) 
> arbeiten möchte, habe ich mir den Quellcode von Python 2.1.1 besorgt und 
> Python compiliert. Da ich später auch GUI`s erzeugen möchte. Habe ich die 
> Setup Datei entsprechend der README geändert.

Das Ändern der Modules/Setup Datei sollte im Normalfall nicht nötig sein. IIRC
musste ich für readline Support (History Funktion usw.) ein wenig was biegen:

readline readline.c -lreadline -ltermcap -L/usr/lib/termcap

> Versuche ich jetzt die 
> "idle.py" zur starten bekomme ich diese Fehlermeldung:

Ich hab momentan nur SuSE 7.2 installiert und kann mich aber nicht an derartige
Handstände bei 7.1 erinnern. Allerdings verwende ich auch normalerweise kein
tkinter.

Schau vielleicht nochmal, ob du folgende Pakete installiert hast (insbes.
brauchst du die -devel RPMs):

tcl
tcl-devel
readline
readline-devel
ncurses
ncurses-devel
gmp
tk

Das Prüfen mach ich immer mit "rpm -qa|grep tcl" usw.

Gerhard
-- 
mail:   gerhard <at> bigfoot <dot> de       registered Linux user #64239
web:    http://www.cs.fhm.edu/~ifw00065/    public key at homepage
public key fingerprint: DEC1 1D02 5743 1159 CD20  A4B6 7B22 6575 86AB 43C0
reduce(lambda x,y:x+y,map(lambda x:chr(ord(x)^42),tuple('zS^BED\nX_FOY\x0b')))



More information about the Python-de mailing list